<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
<script type="text/javascript">
<!--
var canvas = null, 
	ctx = null, 
	angulo=0;
	

function paint(ctx) { 
	ctx.fillStyle = '#CCC'; 
	ctx.fillRect(0, 0, canvas.width, canvas.height); 
	ctx.fillStyle = color; 
	ctx.fillRect(10, 10, 100, 10); 
} 
function act() { 
	angulo+=1;
	ctx.rotate(angulo*Math.PI/360);
} 

function run() { 
	window.requestAnimationFrame(run); 
	act(); 
	paint(ctx); 
} 

function init() { 
	canvas = document.getElementById('canvas'); 
	ctx = canvas.getContext('2d'); 
	run();
}

 window.addEventListener('load', init, false); 

//-->
</script>
</head>

<body>
<h1>Mi primer Ejemplo</h1> 
<p>
<canvas id="canvas" width="300" height="150" style="background:#FFF"> 
Canvas no soportado. 
</canvas>
</p> 

</body>
</html>
